﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */

* {
    box-sizing: border-box;
	font-size: 1.6rem;
}

    *:before,
    *:after {
        box-sizing: border-box;
    }

html,
body {
    height: 100%;
    position: relative;
}

.main-container {
    min-height: 100vh; /* will cover the 100% of viewport */
    overflow: hidden;
    display: block;
    position: relative;
    padding-bottom: 100px; /* height of your footer */
}

body {
    
}


.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/*Cookies*/
#cookieConsent {
    background-color: #575757;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    min-height: 80px;
    padding-top: 15px;
    z-index: 11000;
    border: none;
    -moz-box-shadow: 0 4px 2px -2px #000;
    -webkit-box-shadow: 0 4px 2px -2px #000;
    box-shadow: 0 4px 2px -2px #000;
}

    #cookieConsent .navbar-brand {
        color: #FFF;
    }

    #cookieConsent .navbar-text {
        display: inline-block;
        color: #FFF;
        font-weight: 500;
    }

#cookieConsent .cookie-button {
    float: right;
    display: inline-block;
}

#cookieConsent .cookie-button button {
    border: none;
    background-color: #FFF;
    color: #000;
}

/*Header bar*/
#wppp-header {
    display: inline-block;
    vertical-align: middle;
}

#wppp-header-text {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
}

.header-text-element {
    text-align: center;
    margin-top: 4px;
    margin-bottom: 4px;
}
.navbar-default .navbar-nav > li > a {
    color: #000 !important;
}

/*footer*/
footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    padding-bottom: 20px;
}

/*headings*/
h1{
    margin-bottom: 2rem;
}

/*partner logos*/
.partner-logos {
    text-align: center;
    display: block;
    margin: 4rem 0 4rem 0;
}

.partner-logos img {
    vertical-align: top;
}

/*payment form*/
.payment-form-fields {
    margin-bottom: 4rem;
}

.validation-summary{
    margin-bottom: 4rem;
}

/*receipt*/
.receipt-fields div h3{
    font-size: 1.6rem;
    font-weight: 600;
}

.payment-alert{
    margin-left: 1rem;
}
.alert h2{
    font-size:2rem;
    margin-top: 0;
    display: block;
}
.alert h2 .glyphicon{
    margin-right: 2rem;
}

/*buttons*/
.btn-success {
    background-color: #080;
}
    .btn-success:hover {
        background-color: #007000;
    }

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    #cookieConsent {
        position: absolute;
        width: 100%;
        margin-bottom: 0;
        z-index: 11000;
    }

    #cookieConsent .navbar-header {
        min-height: 80px;
        padding-top: 15px;
        margin: auto;
        width: 100%
    }

    #cookieConsent .navbar-text {
        margin: 0;
    }

    #cookieConsent .cookie-button {
        margin-top: 1rem;
        float: left;
    }

    .partner-logos img {
        vertical-align: middle;
    }
}
